Kubernetes Set Image

  • PATCH
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /actions
  • /:action_id

Update Kubernetes Set Image action configuration

Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.

Request

REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

action_idrequiredinteger
The ID of the action

Example: 456

POST PARAMETERS
typerequiredstring enum
The type of the action
Allowed enum:
KUBERNETES_SET_IMAGE
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
after_action_idinteger
The numerical ID of the action, after which this action should be added
namerequiredstring
The name of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_SUCCESS,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
loopstring[]
The list of commands that will be executed in a loop
current_revisionstring
The git revision of the last successful run of the action
permissionsPermissionsView
Access permissions configuration
config_pathstring
The path to the Kubernetes configuration file
kubectl_versionstring
The version of kubectl to use
setup_commandsstring[]
The command that will be executed only on the first run
targetsTargetView[]
The list of Kubernetes cluster targets
namespacerequiredstring
The Kubernetes namespace
contentstring
The content of the Kubernetes configuration
execute_every_commandboolean
If set to true all commands will be executed regardless of the result of the previous command
deploymentrequiredstring
The name of the deployment from the namespace.
containerrequiredstring
The name of the container.
image_namerequiredstring
The name of the image to set.
image_tagrequiredstring
The tag of the chosen image.
record_argstring enum
Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists
Allowed enum:
TRUE,
FALSE,
NOT_SET

Response

RESPONSE BODY
typestring enum
The type of the action
Allowed enum:
KUBERNETES_SET_IMAGE
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the action
namestring
The name of the action
current_revisionstring
The git revision of the last successful run of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_SUCCESS,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
last_execution_statusstring enum
The status of the last run of the action
Allowed enum:
INPROGRESS,
ENQUEUED,
TERMINATED,
SUCCESSFUL,
FAILED,
INITIAL,
NOT_EXECUTED,
SKIPPED,
TERMINATING,
WAITING_FOR_APPLY,
WAITING_FOR_VARIABLES,
WAITING_FOR_SETTABLE_VARIABLES,
WAITING_FOR_VT_SESSION
pipelineShortPipelineView
Short representation of a pipeline
permissionsPermissionsView
Access permissions configuration
loopstring[]
The list of commands that will be executed in a loop
config_pathstring
The path to the Kubernetes configuration file
kubectl_versionstring
The version of kubectl to use
setup_commandsstring[]
The command that will be executed only on the first run
targetsTargetView[]
The list of Kubernetes cluster targets
namespacestring
The Kubernetes namespace
contentstring
The content of the Kubernetes configuration
execute_every_commandboolean
If set to true all commands will be executed regardless of the result of the previous command
deploymentstring
The name of the deployment from the namespace.
containerstring
The name of the container.
image_namestring
The name of the image to set.
image_tagstring
The tag of the chosen image.
record_argstring enum
Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists
Allowed enum:
TRUE,
FALSE,
NOT_SET

Last modified on Feb 18, 2026

Request example

curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "Set image", "type": "KUBERNETES_SET_IMAGE", "trigger_time": "ON_EVERY_EXECUTION", "targets": [ { "zone": "europe-west1-c", "project_id": "tokyo-house-138923", "identifier": "my_target_id", "name": "my-target", "integration": "5ddb7c180fb38be67bd78a88a", "type": "GKE", "scope": "ACTION", "tags": [ "olive", "orange", "rabsperry" ], "cluster": "cluster-1" } ], "deployment": "nginx-deployment", "namespace": "default", "image_name": "nginx", "image_tag": "1.7.8", "record_arg": "NOT_SET", "container": "nginx" }'
STATUS
200 OK